=== modified file 'src/client_side.cc'
--- src/client_side.cc	2011-12-06 14:06:38 +0000
+++ src/client_side.cc	2011-12-07 10:59:48 +0000
@@ -1994,8 +1994,6 @@
     char *host;
     char ipbuf[MAX_IPSTRLEN];
 
-    http->flags.accel = 1;
-
     /* BUG: Squid cannot deal with '*' URLs (RFC2616 5.1.2) */
 
     if (strncasecmp(url, "cache_object://", 15) == 0)
@@ -2271,6 +2269,7 @@
      *  - transparent mode (TPROXY)
      *  - transparent mode with failures
      *  - intercept mode (NAT)
+     *  - intercept mode (SSL)
      *  - intercept mode with failures
      *  - accelerator mode (reverse proxy)
      *  - internal URL
@@ -2280,9 +2279,14 @@
         /* intercept or transparent mode, properly working with no failures */
         prepareTransparentURL(csd, http, url, req_hdr);
 
-    } else if (csd->port->accel || csd->switchedToHttps()) {
+    } else if (csd->port->accel) {
         /* accelerator mode */
         prepareAcceleratedURL(csd, http, url, req_hdr);
+        http->flags.accel = 1;
+
+    } else if (csd->switchedToHttps()) {
+        /* SSL interception mode */
+        prepareAcceleratedURL(csd, http, url, req_hdr);
 
     } else if (internalCheck(url)) {
         /* internal URL mode */


